package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.EnvDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
public interface IEnvDeviceService extends IService<EnvDevice> {
    Result count(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result list(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result add(HttpServletRequest httpServletRequest, EnvDevice envDevice);

    Result edit(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result delete(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listPigpen(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listEnv(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listDeviceCount(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result sync(Map<String, String> params) throws Exception;

    Result bandingUnitId(HttpServletRequest httpServletRequest, EnvDevice envDevice);

    Result listPigpenAll(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listEnvCount(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    //大屏弹窗
    Result listData(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
